#include <printf.h>
#include <shade/platform/interrupts/isr.h>

void exception_handler(isr_xframe_t frame) {
    printf(" %i: cpu: check_exception 0x%x err_code => %i\n", err_count, frame.base_frame.vector, frame.base_frame.error_code);
    err_count++;
    if (err_count > ERR_MAX) {
        printf("cpu: ierr hit err_max, halt\n");
        __asm__ __volatile__("cli; hlt");
    }
}